
QGIS Application - Bug report #18075

Checkbox options in drag and drop designer disappears when default value is not blank in QGIS 

2.99

2018-02-11 07:59 PM - Nathan Saylor

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.99(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25971

Description

I came across this trying to trigger checkbox states based on other checkbox states with case->when default values to behave similar to

radio buttons. No luck there, but came across this.

Reproduction steps

    1. Start new project

    2. Add new scratch layer, no geometry

    3. Add an integer field and save

    4. In Attributes Form, select the field. Change Widget Type to Checkbox. Set checked state to 1, unchecked to 0. Apply. OK.

    5. Re-open properties. Select the field. In default values, enter 1 (to default to checked state). Apply. OK.

    6. Re-open properties. Select the field. CHECKED STATE OPTIONS ARE GONE!

    7. Clear the default value. Apply. OK.

    8. Re-open properties. Select the field. Checked state options return, but empty.

Could be there's a reasonable explanation for this?

Thanks!

History

#1 - 2018-03-02 11:53 AM - Harrissou Santanna

@Nathan, this issue should be reported in https://issues.qgis.org/projects/qgis (QGIS application bug tracker) and not here (in the Bug tracker's bug

tracker).

#2 - 2018-03-03 10:45 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.99(master)

- Category changed from Any to Forms

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Status changed from Open to Feedback

Does it works ok on 2.18?

#3 - 2018-03-05 02:13 AM - Nyall Dawson
https://issues.qgis.org/projects/qgis


- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This was already reported and fixed in the main bug tracker.
